> ## Documentation Index
> Fetch the complete documentation index at: https://docs.marzipan.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Orders

> Retrieve a list of all orders associated with the authenticated user's account, including order status and payment information.



## OpenAPI

````yaml api-reference/openapi.json get /account/orders
openapi: 3.0.0
info:
  title: Marzipan API
  version: 1.0.0
servers:
  - url: https://api.marzipan.co/v1
security:
  - tenantAuth: []
tags:
  - name: Account
    description: >-
      Account management endpoints including registration, login, and user
      details
  - name: Carts
    description: Shopping cart management endpoints
  - name: Products
    description: Product catalog and search endpoints
  - name: Subscriptions
    description: Subscription management and renewal endpoints
  - name: CMS
    description: Content management system endpoints
  - name: Messaging
    description: Message and communication endpoints
  - name: Search
    description: Search functionality endpoints
paths:
  /account/orders:
    parameters: []
    get:
      tags:
        - Account
      summary: Orders
      description: >-
        Retrieve a list of all orders associated with the authenticated user's
        account, including order status and payment information.
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        ref:
                          type: string
                        items:
                          type: integer
                        amount:
                          type: string
                        status:
                          type: string
                        paymentStatus:
                          type: string
                        createdAt:
                          type: string
              example:
                data:
                  - id: 73d5c504-adbb-43ac-891e-9b3dd4900de4
                    ref: '1010744'
                    items: 2
                    amount: £96.98
                    status: processing
                    paymentStatus: paid
                    createdAt: '2024-06-08T22:07:53.000000Z'
                  - id: 6326728d-05e1-4fc5-92fb-c40b5aa0e52f
                    ref: '1010961'
                    items: 1
                    amount: £9.99
                    status: shipped
                    paymentStatus: paid
                    createdAt: '2024-10-07T12:12:58.000000Z'
                  - id: 835152d7-a1a7-4aa1-941e-1114acae24df
                    ref: '1010985'
                    items: 5
                    amount: £281.89
                    status: shipped
                    paymentStatus: paid
                    createdAt: '2024-10-25T09:03:10.000000Z'
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: string
      security:
        - accountAuth: []
components:
  securitySchemes:
    tenantAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your API token.
      bearerFormat: JWT
    accountAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is the account token returned from the `Login` endpoint.

````